Name: maven3
Version: 3.0.3
Release: 4
License: ASL 2.0
Summary: Java project management and project comprehension tool
Group: Development/Build Tools
URL: http://maven.apache.org/
Source0: org.apache.maven-maven-3.0.3-sources.zip
Source1: apache-maven-3.0.3-src.tar.gz
Source2: apache-maven-3.0.3.pom
Source3: apache-maven-3.0.3-src.zip
Source4: apache-maven-3.0.3-bin.tar.gz
Source5: apache-maven-3.0.3-bin.zip
Source6: maven-repository-metadata-3.0.3-javadoc.jar
Source7: maven-repository-metadata-3.0.3-sources.jar
Source8: maven-repository-metadata-3.0.3.pom
Source9: maven-repository-metadata-3.0.3.jar
Source10: maven-aether-provider-3.0.3.jar
Source11: maven-aether-provider-3.0.3.pom
Source12: maven-aether-provider-3.0.3-javadoc.jar
Source13: maven-aether-provider-3.0.3-sources.jar
Source14: maven-embedder-3.0.3.jar
Source15: maven-embedder-3.0.3.pom
Source16: maven-embedder-3.0.3-javadoc.jar
Source17: maven-embedder-3.0.3-sources.jar
Source18: maven-model-3.0.3-sources.jar
Source19: maven-model-3.0.3.jar
Source20: maven-model-3.0.3-javadoc.jar
Source21: maven-model-3.0.3.pom
Source22: maven-artifact-3.0.3-sources.jar
Source23: maven-artifact-3.0.3.jar
Source24: maven-artifact-3.0.3.pom
Source25: maven-artifact-3.0.3-javadoc.jar
Source26: maven-settings-3.0.3-sources.jar
Source27: maven-settings-3.0.3-javadoc.jar
Source28: maven-settings-3.0.3.jar
Source29: maven-settings-3.0.3.pom
Source30: maven-plugin-api-3.0.3.jar
Source31: maven-plugin-api-3.0.3.pom
Source32: maven-plugin-api-3.0.3-sources.jar
Source33: maven-plugin-api-3.0.3-javadoc.jar
Source34: maven-3.0.3.pom
Source35: maven-model-builder-3.0.3-sources.jar
Source36: maven-model-builder-3.0.3.pom
Source37: maven-model-builder-3.0.3-javadoc.jar
Source38: maven-model-builder-3.0.3.jar
Source39: maven-core-3.0.3-sources.jar
Source40: maven-core-3.0.3.jar
Source41: maven-core-3.0.3-javadoc.jar
Source42: maven-core-3.0.3.pom
Source43: maven-compat-3.0.3.pom
Source44: maven-compat-3.0.3-javadoc.jar
Source45: maven-compat-3.0.3-sources.jar
Source46: maven-compat-3.0.3.jar
Source47: maven-settings-builder-3.0.3-sources.jar
Source48: maven-settings-builder-3.0.3-javadoc.jar
Source49: maven-settings-builder-3.0.3.pom
Source50: maven-settings-builder-3.0.3.jar
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires: java-devel

%description
Maven is a software project management and comprehension tool. Based on the
concept of a project object model (POM), Maven can manage a project's build,
reporting and documentation from a central piece of information.

%prep
%setup -q -T -b 5 -n apache-maven-%version

%build

%install
rm -rf %{buildroot}
%{__install} -d %{buildroot}%{_javadir}/apache-maven-%version/{bin,boot,conf,lib,lib/ext}
%{__install} -p -m 755 bin/mvn{,Debug,yjp} %{buildroot}%{_javadir}/apache-maven-%version/bin
%{__install} -p -m 644 bin/m2.conf %{buildroot}%{_javadir}/apache-maven-%version/bin
%{__install} -p -m 644 boot/* %{buildroot}%{_javadir}/apache-maven-%version/boot
%{__install} -p -m 644 conf/* %{buildroot}%{_javadir}/apache-maven-%version/conf
%{__install} -p -m 644 lib/*.jar %{buildroot}%{_javadir}/apache-maven-%version/lib
%{__install} -p -m 644 lib/ext/* %{buildroot}%{_javadir}/apache-maven-%version/lib/ext
cat > mvn <<EOF
#!/bin/sh
prog=\$(basename \$0)
export JAVA_HOME=/usr/lib/jvm/java
export JAVACMD=\$JAVA_HOME/bin/java
export M2_HOME=%{_javadir}/apache-maven-%version
exec \$M2_HOME/bin/\$prog "\$@"
EOF
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 755 mvn %{buildroot}%{_bindir}
%{__ln_s} mvn %{buildroot}%{_bindir}/mvnDebug
%{__ln_s} mvn %{buildroot}%{_bindir}/mvnyjp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/mvn
%{_bindir}/mvnDebug
%{_bindir}/mvnyjp
%{_javadir}/apache-maven-%version/
%doc NOTICE.txt LICENSE.txt README.txt

%changelog
* Fri Apr  8 2011 Mike Bonnet <mikeb@redhat.com> - 3.0.3-1
- Update specfile for Maven 3.0.3

* Thu Jan 20 2011 Mike Bonnet <mikeb@redhat.com> - 3.0.2-1
- Rename package to maven3
- Update specfile for Maven 3.0.2

* Mon May 17 2010 Mike Bonnet <mikeb@redhat.com> - 2.2.1-1
- Update specfile for Maven 2.2.1

* Tue Jan 19 2010 Mike Bonnet <mikeb@redhat.com> - 2.0.9-1
- Initial MEAD build of the 2.0.9 release
